//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMenuCode
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   28.03.2004
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004-09-17 01:11:23 +0200 (Fr, 17 Sep 2004) $
 *   $Revision: 1.2 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxVDRMenuCode_H__
#define __AxVDRMenuCode_H__

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>
#include <vdr/menuitems.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/VDR/OsdMenu.h>

//----- local -----------------------------------------------------------------

//=============================================================================
//     namespace Ax
//=============================================================================
namespace Ax
{
  //===========================================================================
  //     namespace VDR
  //===========================================================================
  namespace VDR
  {
    //=========================================================================
    //     forward declarations
    //=========================================================================
    class Action;

    //=============================================================================
    //     class MenuCode
    //=============================================================================
    /** Menu to enter a numerical code
    */
    class MenuCode : public OsdMenu
    {
        typedef OsdMenu PARENT;

      public:
        //-------------------------------------------------------------------------
        //     MenuCode()
        //-------------------------------------------------------------------------
        /** Constructor
        */
        MenuCode(Action *theAction);

        //-------------------------------------------------------------------------
        //     ~MenuCode()
        //-------------------------------------------------------------------------
        /** Destructor
        */
        virtual ~MenuCode();

        //-------------------------------------------------------------------------
        //     ProcessKey()
        //-------------------------------------------------------------------------
        /** Process key press events
        */
        virtual eOSState ProcessKey(eKeys Key);

      private:
        //-------------------------------------------------------------------------
        //     attributes
        //-------------------------------------------------------------------------
        Action   *myAction    ; ///< the action to unlock
        char     *myActCode   ; ///< entered  code
        cOsdItem *myCodeItem  ; ///< OSDItem for the code

    }; // class MenuCode

  }; // namespace VDR

}; // namespace Ax

#endif
