//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class MenuHelpKeys
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   16.09.2004
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2006-03-05 13:57:13 +0100 (So, 05 Mär 2006) $
 *   $Revision: 1.4 $
 */
//-----------------------------------------------------------------------------
#ifndef __MenuHelpKeys_H__
#define __MenuHelpKeys_H__

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>
#include <vdr/menuitems.h>
#include <vdr/font.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/VDR/OsdMenu.h>

//----- local -----------------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================

//=============================================================================
//     namespace Ax
//=============================================================================
namespace Ax
{
  //===========================================================================
  //     namespace VDR
  //===========================================================================
  namespace VDR
  {
    //=========================================================================
    //     forward declarations
    //=========================================================================
    class Action;

    //=============================================================================
    //     class MenuHelpKeys
    //============================================================================
    /** Menu to show the key-mappings for a given OsdMenu.
    */
    template <typename TT>
    class MenuHelpKeys : public Ax::VDR::OsdMenu
    {
        //-------------------------------------------------------------------------
        //     typedefs
        //-------------------------------------------------------------------------
        typedef Ax::VDR::OsdMenu PARENT;
        typedef MenuHelpKeys     MYSELF;

      protected:
        //-------------------------------------------------------------------------
        //     enums
        //-------------------------------------------------------------------------
        enum AxEAction
        {
          A_FIRST          = PARENT::A_LAST
        , A_ACTIVATE_KEY   = A_FIRST
        , A_LAST
        };

      public:
        //-------------------------------------------------------------------------
        //     MenuHelpKeys()
        //-------------------------------------------------------------------------
        MenuHelpKeys(const Ax::VDR::OsdMenuBase<TT> *theDocuMenu);

        //-------------------------------------------------------------------------
        //     ~MenuHelpKeys()
        //-------------------------------------------------------------------------
        virtual ~MenuHelpKeys();

        //-------------------------------------------------------------------------
        //     processAction()
        //-------------------------------------------------------------------------
        virtual eOSState processAction(const Ax::VDR::Action &theAction, eOSState = osUnknown);

      private:
        //-------------------------------------------------------------------------
        //     attributes
        //-------------------------------------------------------------------------
        const Ax::VDR::OsdMenuBase<TT> *myDocuMenu;

    }; // class MenuHelpKeys

  }; // namespace VDR

}; // namespace Ax

//=============================================================================
//     read the implementation of the template class
//=============================================================================
#include <Ax/VDR/MenuHelpKeys.cpp>

#endif
