//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMenuText
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   28.03.2004
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2006-01-06 20:01:13 +0100 (Fr, 06 Jan 2006) $
 *   $Revision: 173 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxVDRMenuText_H__
#define __AxVDRMenuText_H__

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>
#include <vdr/menuitems.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/VDR/OsdMenu.h>

//----- local -----------------------------------------------------------------

//=============================================================================
//     namespace Ax
//=============================================================================
namespace Ax
{
  //===========================================================================
  //     namespace VDR
  //===========================================================================
  namespace VDR
  {
    //=========================================================================
    //     forward declarations
    //=========================================================================
    class Action;

    //=============================================================================
    //     class MenuText
    //=============================================================================
    /** Menu to display a full screen text
    */
    class MenuText : public OsdMenu
    {
        typedef OsdMenu PARENT;

      public:
        //-------------------------------------------------------------------------
        //     MenuText()
        //-------------------------------------------------------------------------
        /** Constructor
        */
        MenuText( const std::string &theInstName
                , const std::string &theTitle
                , const std::string theText = std::string("")
                );

        //-------------------------------------------------------------------------
        //     ~MenuText()
        //-------------------------------------------------------------------------
        /** Destructor
        */
        virtual ~MenuText();

        //-------------------------------------------------------------------------
        //     Display()
        //-------------------------------------------------------------------------
        virtual void Display(void);

        //-------------------------------------------------------------------------
        //     ProcessKey()
        //-------------------------------------------------------------------------
        /** Process key press events
        */
        virtual eOSState ProcessKey(eKeys Key);

        //-------------------------------------------------------------------------
        //     setText()
        //-------------------------------------------------------------------------
        void setText(const std::string &theText);

        //-------------------------------------------------------------------------
        //     setMonospaced()
        //-------------------------------------------------------------------------
        void setMonospaced(bool theUseMonospaced);

      private:
        //-------------------------------------------------------------------------
        //     attributes
        //-------------------------------------------------------------------------
        std::string myText;       ///< the text to display
        bool        fMonospaced;  ///< use monospaced font

    }; // class MenuText

  }; // namespace VDR

}; // namespace Ax

#endif
