//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxVdrTools
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2006-01-15 16:39:30 +0100 (So, 15 Jan 2006) $
 *   $Revision: 1.10 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxVdrTools_H__
#define __AxVdrTools_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>

//----- local -----------------------------------------------------------------

//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================

//=============================================================================
//     class AxVdrTools
//=============================================================================
/** The class AxVdrTools contains some small helper functions for
 *  this vdr-plugin.
 */
class AxVdrTools
{
  public:
    //-------------------------------------------------------------------------
    //     names for c-client options
    //-------------------------------------------------------------------------
    static const char *AccountTypeNames   [];
    static const char *AccessModeNames    [];
    static const char *BGCheckModeNames   [];
    static const char *CClientOptSecNames [];
    static const char *CClientOptRSHNames [];
    static const char *CClientOptSSLNames [];
    static const char *CClientOptTLSNames [];
    static const char *CClientOptCertNames[];
    static const char *CClientOptDbgNames [];

    static const char *WrapModeStrings    [];
#if 0
    static const char *VdrFontNames       [];
#endif
    //-------------------------------------------------------------------------
    //     Sort order
    //-------------------------------------------------------------------------
    // the values of the enum correspond to the strings in SortOrderStrings
    enum SortOrder
    {
      SO_ASC     ///< ascending
    , SO_DESC    ///< descending
    , SO_COUNT   ///< number of entries
    };
    static const char *SortOrderStrings[];

    //-------------------------------------------------------------------------
    //     initialize()
    //-------------------------------------------------------------------------
    static void initialize();

}; // class AxVdrTools

#endif

